package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsServiceType;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn
 * @since 2018-05-09
 */
public interface ILmsServiceTypeService extends IBaseService<LmsServiceType> {


    Page<LmsServiceType> page(Page<LmsServiceType> page, LmsServiceType lmsServiceType);


    List<LmsServiceType> list(LmsServiceType lmsServiceType);


    LmsServiceType  getByName(String name, Long companyId);
}
